import { __ } from '@wordpress/i18n'
import { addFilter } from '@wordpress/hooks';

import WMEREmails from './wmer-emails';
import WMERReady from './wmer-ready';

addFilter( 'barn2_setup_wizard_steps', 'multiple-email-recipients', ( steps ) => {
    const customSteps = [
        { stepKey: 'emails', stepClass: WMEREmails },
        { stepKey: 'ready', stepClass: WMERReady }
    ];

    for ( const { stepKey, stepClass } of customSteps ) {
        const index = steps.indexOf( steps.find( s => stepKey === s.key ) );
        if ( -1 !== index ) {
            steps[ index ].container = stepClass;
        }
    }

    return steps;
} );