<?php
/**
 * @package   Barn2\woocommerce-multiple-email-recipients
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */

namespace Barn2\Plugin\WC_Multiple_Email_Recipients\Admin\Wizard\Steps;

use Barn2\Plugin\WC_Multiple_Email_Recipients\Dependencies\Barn2\Setup_Wizard\Steps\Cross_Selling;
use Barn2\Plugin\WC_Multiple_Email_Recipients\Dependencies\Barn2\Setup_Wizard\Util;

class Upsell extends Cross_Selling {

	public function __construct() {
		parent::__construct();
		$this->set_name( esc_html__( 'More', 'woocommerce-multiple-email-recipients' ) );
		$this->set_description(
			sprintf(
				// translators: 1: URL to All Access Pass page, 2: URL to the KB about the upgrading process
				__( 'Enhance your store with these fantastic plugins from Barn2, or get them all by upgrading to an <a href="%1$s" target="_blank">All Access Pass<a/>! <a href="%2$s" target="_blank">(learn how here)</a>', 'woocommerce-multiple-email-recipients' ),
				Util::generate_utm_url( 'https://barn2.com/wordpress-plugins/bundles/', 'wmer' ),
				Util::generate_utm_url( 'https://barn2.com/kb/how-to-upgrade-license/', 'wmer' )
			)
		);
		$this->set_title( esc_html__( 'Extra features', 'woocommerce-multiple-email-recipients' ) );
	}

	public function get_upsells() {
		$this->get_wizard()->set_as_completed();
		parent::get_upsells();
	}

}
